routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('shop.layouts.master');
// });
Route::group(['prefix'=> '', 'namespace' => 'Shop' , 'as' => 'shop.'], function(){
     Route::get('/', 'ShopController@index')->name('index');
     Route::get('/the-loai/{slugParent}/{slug}', 'ShopController@categoryList')->name('categorylist');
     Route::get('/bai-viet/chi-tiet/{id}', 'ShopController@show')->name('detail');
     Route::get('/all-products', 'ShopController@allProducts')->name('allproducts');
     Route::get('/category-list/{name}_{id}', 'ShopController@categoryList')->name('categorylist');
     Route::post('/add-product-cart', 'ShopController@addProductToCart')->name('addproducttocart');
     Route::get('/gio-hang-cua-ban','ShopController@listCartProduct')->name('listcart');
     Route::post('/remove-item-cart','ShopController@removeItemCart')->name('removeitemcart');
     Route::post('/add-cart','ShopController@addCart')->name('addcart');
     Route::get('/ajax-show-cart','ShopController@ajaxShowCart')->name('ajaxshowcart');
     Route::post('/comment/add/{slug}_{id}', 'ShopController@addComment')->name('addcomment');
     Route::get('/about-us', 'ShopController@aboutUs')->name('about');
     Route::get('/contact-us', 'ShopController@contactUs')->name('contact');
     Route::post('/contact-us/add', 'ShopController@addContact')->name('addcontact');
});
Route::group(['prefix' => 'admin', 'namespace' => 'Admin','as'=>'admin.','middleware'=>['auth','checktype']], function () {
    Route::get('/', 'AdminController@index')->name('index');
     Route::group(['prefix' => 'category','as'=>'category.'], function () {
        Route::get('/', 'CategoryController@index')->name('list');
        Route::get('/add', 'CategoryController@create')->name('add');
        Route::post('/created', 'CategoryController@store')->name('created');
        Route::get('edit/{id}', 'CategoryController@edit')->name('edit');
        Route::post('/{id}', 'CategoryController@update')->name('update');
        Route::delete('/deletecate', 'CategoryController@destroy')->name('destroy');
    });
    Route::group(['prefix' => 'product','as'=>'product.'], function () {
        Route::get('/', 'ProductController@index')->name('list');
        Route::get('/add', 'ProductController@create')->name('add');
        Route::post('/created', 'ProductController@store')->name('created');
        Route::get('edit/{id}', 'ProductController@edit')->name('edit');
        Route::post('/{id}', 'ProductController@update')->name('update');
        Route::delete('/product/{id}', 'ProductController@destroy')->name('destroy');
        Route::post('/deleteimage', 'ProductController@deleteImage')->name('deleteimage');
        Route::post('/uploadimage/{type?}', 'ProductController@UploadMultiple')->name('uploadimage');
    });
       Route::group(['prefix' => 'order','as'=>'order.'], function () {
        Route::get('/', 'OrderController@index')->name('list');
        Route::get('/{status}', 'OrderController@indexStatus')->name('liststatus');
        Route::get('/ajax-show-orders','OrderController@ajaxShowOrders')->name('ajaxshoworders');
        Route::get('edit/{id}', 'OrderController@edit')->name('edit');
        Route::post('/{id}', 'OrderController@update')->name('update');
    });
});
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Http/Controllers/Shop/ShopController.php
<?php

namespace App\Http\Controllers\Shop;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Product;
use App\Models\Category;
use Cart;
use App\Models\Order;
use Carbon\Carbon;
use Response;
use View;
class ShopController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $products = Product::select()->where('active', 1)->get();
        return view('shop.index', ['products' => $products]);
    }

    public function allProducts()
    {
        $products = Product::select()->where('active', 1)->paginate(5);
        return view('shop.all_products.all_products', ['products' => $products]);
    }

    /**
     *
     *
     * @return \Illuminate\Http\Response
     */
    public function categoryList($name, $id)
    {
        $categoryDetail = Category::where('id', $id)->get();
        $productList = Product::select()->where('category_id', $categoryDetail[0]['id'])->paginate(5);
        $productList = $productList->total() == 0 ? '400' : $productList;

        return view('shop.category-list.category-list', ['productList' => $productList, 'categoryDetail' => $categoryDetail[0]]);
    }

    public function addProductToCart(Request $request)
    {
        $product = Product::find($request->id);
        if ($product) {
            Cart::add(
                ['id' => $request->id, 
                'name' => $product->name, 
                'qty' => $request->quantity_input, 
                'price' => $product->price, 
                'weight' => 550,
                'options' => ['image' => $product->images->first()->src ?? 'error'
            ]]);
        }
        return redirect()->back();
    }

    public function listCartProduct()
    {
        $products = Cart::content();
        $viewData = [
            'products' => $products
        ];

        return view('shop.cart.show-cart', $viewData);
    }

    public function removeItemCart(Request $request)
    {
        Cart::remove($request->rowId);
        $status = 'true';
        $totalNew = Cart::total();
        $msg[] = ['status' => $status,
            'totalNew' => $totalNew];
        return $msg;
    }

    public function addCart(Request $request)
    {
         $products = Cart::Content();
        if(count($products) == 0){
           return redirect()->back()->with('status', 'Chưa có sản phẩm trong giỏ hàng');
        }
          if($request->use_user == "on"){
            $orderAdd['name'] = auth()->user()->name; 
            $orderAdd['phone'] = auth()->user()->phone; 
            $orderAdd['delivery_address'] = auth()->user()->address; 
        }else{
             $orderAdd = $request->all();
        }
        $orderAdd['checkout_at'] = Carbon::now()->toDateTimeString();
        $orderAdd['user_id'] = auth()->user()->id;
        $total = Cart::total();
        $result = str_replace(",","",$total);
        $orderAdd['total'] = (int)$result;
        $orderAdd['status'] = 1;
        $order = Order::create($orderAdd);
        foreach ($products as $product) {
            $order->orderDetails()->create(['product_id' => $product->id, 'order_id' => $order->id, 'quantity' => $product->qty, 'price' => $product->price]);
        }
        Cart::destroy();
        return redirect()->route('shop.index')->with('status', 'Đơn Hàng của bạn đã được lưu!');
      
    }

     public function ajaxShowCart()
    {
         $products = Cart::Content();
         $total = Cart::total();
           return Response::json(View::make('shop.cart.show-ajax-cart', array('items' => $products, 'total' => $total))->render());
    }
    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $product = Product::findOrFail($id);
        return view('shop.detail.detail', ['product' => $product]);
    }


    /**
     * Remove the specified resource from storage.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/shop/cart/show-ajax-cart.blade.php
  @foreach($items as $item)
  <div class="row"> 
    <div class="col-lg-3">
      <img src="{{$item->options->image ?? 'error'}} "  class="img-thumbnail">
  </div>
  <div class="col-lg-3">
      <p class="text-center"> Tên SP </p>
      <p class="text-center"> {{$item->name}} </p>
  </div>
  <div class="col-lg-3">
      <p class="text-center"> Số Lượng </p>
      <p class="text-center"> {{$item->qty}} </p>
  </div>
  <div class="col-lg-3">
      <p class="text-center"> Tổng tiền </p>
      <p class="text-center"> {{number_format($item->price * $item->qty,0,',','.')}} </p>
  </div>
</div>
@endforeach
<div class="row">     
   <div class="col-lg-12">     
       <p class="text-right"> Tổng tiền giỏ hàng </p>
       <p class="text-right">  {{$total}}  </p>
   </div>
</div>

resources/views/shop/cart/show-cart.blade.php
@extends('shop.layouts.master',[ 'single_page' =>'true' ])
@section('styles')
    <link rel="stylesheet" type="text/css" href="/shop/styles/cart_styles.css">
    <link rel="stylesheet" type="text/css" href="/shop/styles/cart_responsive.css">
    <link rel="stylesheet" type="text/css" href="/shop/styles/contact_styles.css">
    <link rel="stylesheet" type="text/css" href="/shop/styles/contact_responsive.css">
    <style type="text/css">
        .product_image .product_image_child {
            max-width: 115px !important;
            max-height: 115px !important;
        }

        .viewed, .adverts {
            display: none;
        }

        .brands .brands_slider_container {
            display: none;
        }

        .contact_form {
            padding-top: 0px;
        }
    </style>
@endsection
@section('content')
    <div class="cart_section">
        <div class="container">
                @if (session('status'))
    <div class="alert alert-danger" role="alert">
       <strong> {{ session('status') }} </strong>
    </div>
@endif
            <div class="row">
                <div class="col-lg-10 offset-lg-1">
                    <div class="cart_container">
                        <div class="cart_title">Shopping Cart</div>
                        <div class="cart_items">
                            <ul class="cart_list">
                                @foreach($products as $product)
                                    <li class="cart_item clearfix">
                                        <div class="cart_item_image"><img
                                                    src="{{$product->images[0]->src ??  '/shop/images/shopping_cart.jpg'}}"
                                                    alt=""></div>
                                        <div class="cart_item_info d-flex flex-md-row flex-column justify-content-between">
                                            <div class="cart_item_name cart_info_col">
                                                <div class="cart_item_title">Name</div>
                                                <div class="cart_item_text">{{$product->name}}</div>
                                            </div>
                                            <div class="cart_item_color cart_info_col">
                                                <div class="cart_item_title">Color</div>
                                                <div class="cart_item_text"><span
                                                            style="background-color:#999999;"></span>Silver
                                                </div>
                                            </div>
                                            <div class="cart_item_quantity cart_info_col">
                                                <div class="cart_item_title">Quantity</div>
                                                <div class="cart_item_text">{{ $product->qty }}</div>
                                            </div>
                                            <div class="cart_item_price cart_info_col">
                                                <div class="cart_item_title">Price</div>
                                                <div class="cart_item_text">{{ number_format($product->price,0,',','.') }}</div>
                                            </div>
                                            <div class="cart_item_total cart_info_col">
                                                <div class="cart_item_title">Total</div>
                                                <div class="cart_item_text">{{ number_format($product->total,0,',','.') }}</div>
                                            </div>
                                            <div class="cart_item_total cart_info_col">
                                                <div class="cart_item_title">Xóa khỏi giỏ hàng</div>
                                                <div class="cart_item_text">
                                                    <button type="button" class="btn btn-danger btnRemoveItem"
                                                            onclick="removeItemCart('{{$product->rowId}}',this)"
                                                            data-id="{{$product->rowId}}">
                                                        Xóa
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                @endforeach
                            </ul>
                        </div>

                        <!-- Order Total -->
                        <div class="order_total">
                            <div class="order_total_content text-md-right">
                                <div class="order_total_title">Order Total:</div>
                                <div class="order_total_amount">{{Cart::total()}} VNĐ</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="contact_form">
        <div class="container">
            <div class="row">
                <div class="col-lg-10 offset-lg-1">
                    <div class="contact_form_container">
                        <div class="contact_form_title">Đơn Hàng</div>
                      
                        <form action="{{route('shop.addcart')}}" method="post" id="contact_form">
                            @csrf
                            <div class="form-check col-md-12 ">
                                <input type="checkbox" class="form-check-input use-detail-user" name="use_user" id="use_user" onchange="checkedUserBox(this)">
                                <label class="form-check-label" for="exampleCheck1">Sử dụng thông tin tài khoản để giao hàng</label>
                            </div>
                            <div class="contact_form_inputs d-flex flex-md-row flex-column justify-content-between align-items-between">
                                <input type="text" id="delivery_address" name="delivery_address"
                                class="contact_form_email input_field" placeholder="delivery address"
                                required="required" data-error="delivery_address is required.">
                                <input type="text" id="name" name="name"
                                class="contact_form_email input_field" placeholder="name"
                                required="required" data-error="name is required."> 
                                <input type="text" id="phone" name="phone"
                                class="contact_form_email input_field" placeholder="phone"
                                required="required" data-error="phone is required.">                            
                            </div>


                            <div class="contact_form_button">
                                <button type="submit" class="button contact_submit_button">Thanh Toán</button>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
        <div class="panel"></div>
    </div>
@endsection
@section('scripts')
    <script src="/shop/js/cart_custom.js"></script>
    <script src="/shop/js/contact_custom.js"></script>
    <script src="/shop/js/main.js"></script>
    <script src="/js/fm_money/simple.money.format.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $('.product_price').simpleMoneyFormat();
             if($('#use_user').is(':checked') == true){
                 $('.contact_form_inputs input').prop('disabled', true);
             }
        });


        function checkedUserBox(content){
            // console.log($('#use_user').is(':checked'));
            if(content.checked || $('#use_user').is(':checked') == true){
                $('.contact_form_inputs input').prop('disabled', true);
            }else{
                 $('.contact_form_inputs input').prop('disabled', false);
            }
        }

    </script>
@endsection